Bug 1306212

Summary: upgrade docs should tell to update all setup packages
Product: Red Hat Enterprise Virtualization Manager Reporter: Yedidyah Bar David <didi>
Component: DocumentationAssignee: Byron Gravenorst <bgraveno>
Status: CLOSED CURRENTRELEASE QA Contact: Julie <juwu>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 3.6.0CC: gklein, juwu, lbopf, lsurette, mavital, nsednev, rbalakri, srevivo, ylavi
Target Milestone: ovirt-3.6.4Flags: mavital: needinfo+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-04-20 01:10:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Docs RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Yedidyah Bar David 2016-02-10 10:37:34 UTC
Description of problem:

Current docs [1] tell to update only rhevm-setup.

Doing that pulls some dependencies, but not necessarily all of them. If/when some are missing, engine-setup will abort, asking to update them first too.

Instead, instructions should be something like:

yum update rhevm\*setup\*

and/or consider specifying specific packages (after testing).

See also bug 1306178. On a related note, not sure I saw the new vmconsole functionality documented - I might missed it though. See [2][3] for upstream docs, feel free to open a bug about this if needed.

[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6-Beta/html/Upgrade_Guide/Upgrading_to_Red_Hat_Enterprise_Virtualization_Manager_3.6.html
[2] http://www.ovirt.org/Features/Serial_Console
[3] http://www.ovirt.org/Serial_Console_Setup

Comment 1 Julie 2016-02-11 01:06:29 UTC
As discussed on IRC with Didi, 'yum update rhevm\*setup\*' seems the best way to go forward as if user uses dwh/reports or vmconsole packages, those packages don't get pulled in by running 'yum update rhevm-setup'. Though by running 'engine-setup', it prompts you to update any additionally required packages but it's an additional step users need to take.

Still need to check with the QE team on what was tested and to confirm that we should update the upgrade instructions to 'yum update rhevm\*setup\*'.

Serial console bit is taken cared of by BZ#1299326.

Comment 2 meital avital 2016-02-23 13:32:14 UTC
Nikolai, can you please address the need info

Comment 3 Nikolai Sednev 2016-02-23 14:08:19 UTC
(In reply to Julie from comment #1)
> As discussed on IRC with Didi, 'yum update rhevm\*setup\*' seems the best
> way to go forward as if user uses dwh/reports or vmconsole packages, those
> packages don't get pulled in by running 'yum update rhevm-setup'. Though by
> running 'engine-setup', it prompts you to update any additionally required
> packages but it's an additional step users need to take.
> 
> Still need to check with the QE team on what was tested and to confirm that
> we should update the upgrade instructions to 'yum update rhevm\*setup\*'.
> 
> Serial console bit is taken cared of by BZ#1299326.

I had dwh+reports+vm-console installed separately and prior to the rhevm itself.

"yum clean all && yum install screen -y && screen yum update -y && screen yum install rhevm-guest-agent -y && chkconfig ovirt-guest-agent on && service ovirt-guest-agent start && service ovirt-guest-agent status && /sbin/chkconfig --list | grep ovirt && yum install -y ovirt-vmconsole-proxy && yum install rhevm-dwh rhevm-reports -y && screen yum install rhevm -y"

After above completed, I ran engine-setup.

To upgrade these should make this work:
1)yum update -y rhevm\*setup\*
2)yum update -y
3)engine-setup

dwh+reports+vm-console are optional packages.
***On RHEVH hosts the ovirt-vmconsole-host package is already embedded.

Comment 4 Lucy Bopf 2016-02-25 07:01:27 UTC
Thank you, Nikolai, for confirming the upgrade steps.


Assigning to Byron for review.

Comment 5 Julie 2016-03-08 02:06:03 UTC
(In reply to Nikolai Sednev from comment #3)
> (In reply to Julie from comment #1)
> > As discussed on IRC with Didi, 'yum update rhevm\*setup\*' seems the best
> > way to go forward as if user uses dwh/reports or vmconsole packages, those
> > packages don't get pulled in by running 'yum update rhevm-setup'. Though by
> > running 'engine-setup', it prompts you to update any additionally required
> > packages but it's an additional step users need to take.
> > 
> > Still need to check with the QE team on what was tested and to confirm that
> > we should update the upgrade instructions to 'yum update rhevm\*setup\*'.
> > 
> > Serial console bit is taken cared of by BZ#1299326.
> 
> I had dwh+reports+vm-console installed separately and prior to the rhevm
> itself.
> 
> "yum clean all && yum install screen -y && screen yum update -y && screen
> yum install rhevm-guest-agent -y && chkconfig ovirt-guest-agent on &&
> service ovirt-guest-agent start && service ovirt-guest-agent status &&
> /sbin/chkconfig --list | grep ovirt && yum install -y ovirt-vmconsole-proxy
> && yum install rhevm-dwh rhevm-reports -y && screen yum install rhevm -y"
> 
> After above completed, I ran engine-setup.
> 
> To upgrade these should make this work:
> 1)yum update -y rhevm\*setup\*
> 2)yum update -y
> 3)engine-setup
> 
> dwh+reports+vm-console are optional packages.
> ***On RHEVH hosts the ovirt-vmconsole-host package is already embedded.

Hi Nikolai,
Based on the comment in https://bugzilla.redhat.com/show_bug.cgi?id=1290096#c11, we tell users to run yum update after engine-setup in the upgrade procedure. Can you please confirm that yum update needs to be run before engine-setup?

Cheers,
Julie

Comment 6 Yedidyah Bar David 2016-03-08 06:55:59 UTC
(In reply to Julie from comment #5)
> (In reply to Nikolai Sednev from comment #3)
> > (In reply to Julie from comment #1)
> > > As discussed on IRC with Didi, 'yum update rhevm\*setup\*' seems the best
> > > way to go forward as if user uses dwh/reports or vmconsole packages, those
> > > packages don't get pulled in by running 'yum update rhevm-setup'. Though by
> > > running 'engine-setup', it prompts you to update any additionally required
> > > packages but it's an additional step users need to take.
> > > 
> > > Still need to check with the QE team on what was tested and to confirm that
> > > we should update the upgrade instructions to 'yum update rhevm\*setup\*'.
> > > 
> > > Serial console bit is taken cared of by BZ#1299326.
> > 
> > I had dwh+reports+vm-console installed separately and prior to the rhevm
> > itself.
> > 
> > "yum clean all && yum install screen -y && screen yum update -y && screen
> > yum install rhevm-guest-agent -y && chkconfig ovirt-guest-agent on &&
> > service ovirt-guest-agent start && service ovirt-guest-agent status &&
> > /sbin/chkconfig --list | grep ovirt && yum install -y ovirt-vmconsole-proxy
> > && yum install rhevm-dwh rhevm-reports -y && screen yum install rhevm -y"
> > 
> > After above completed, I ran engine-setup.
> > 
> > To upgrade these should make this work:
> > 1)yum update -y rhevm\*setup\*
> > 2)yum update -y
> > 3)engine-setup
> > 
> > dwh+reports+vm-console are optional packages.
> > ***On RHEVH hosts the ovirt-vmconsole-host package is already embedded.
> 
> Hi Nikolai,
> Based on the comment in
> https://bugzilla.redhat.com/show_bug.cgi?id=1290096#c11, we tell users to
> run yum update after engine-setup in the upgrade procedure. Can you please
> confirm that yum update needs to be run before engine-setup?

Please keep it *after* engine-setup.

If you search bugzilla you'll find certain cases where this didn't work before engine-setup. In the past we sometimes tried to solve such cases, but not always.

Generally speaking, people expect to always be able to run 'yum update' successfully, and our "standard reply" is that once you decide you want to upgrade the engine, you should do it "at once".

The main problem is when people add the new version repo, then forget about it for some time. They should not. Add repo, update setup packages, engine-setup. All at once. Then at your leisure run 'yum update', check what's going to be updated if you care, etc., just as in any normal 'yum update'.

Nikolai: If you had cases where it was *mandatory* to run 'yum update' before engine-setup, or otherwise engine-setup didn't finish successfully, that's a bug. Please open one if you encounter such cases.